Update collection
PATCH
https://api.catenda.com/v2/projects/{project-id}/libraries/collections/{collection-id}
Path Parameters
- project-idstringrequiredExampleDescription
- collection-idstringrequiredDescription
Body Parameters
- bodyobjectrequired
- namestringExampleDescription
- descriptionstringExampleDescription
- finalizedbooleanDescription
- visibilitystring<private | project-members>ExampleDescriptionAllowedprivateproject-members
- followLatestRevisionbooleanExampleDescription
Responses
200
- collection
- idstringExampleDescription
- namestringExampleDescription
- descriptionstringExampleDescription
- finalizedbooleanDescription
- followLatestRevisionbooleanExampleDescription
- visibilitystring<private | project-members>ExampleDescriptionAllowedprivateproject-members
- createdAtstringExampleDescription
- createdBystringExampleDescription
curl
curl --request PATCH \
--url https://api.catenda.com/v2/projects/{project-id}/libraries/collections/{collection-id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'PATCH',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catenda.com/v2/projects/{project-id}/libraries/collections/{collection-id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/v2/projects/{project-id}/libraries/collections/{collection-id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/v2/projects/{project-id}/libraries/collections/{collection-id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PATCH", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"id": "924809076a694255b589d236517a55da",
"name": "Collection name",
"description": "Collection description",
"finalized": false,
"followLatestRevision": true,
"visibility": "private",
"createdAt": "2023-12-09T10:07:56.000Z",
"createdBy": "524809076a694255b989d236517a55da"
}